#!/usr/bin/env python

from os.path import dirname, join, realpath
from setuptools import setup, find_packages, Extension

from karabo.packaging.versioning import device_scm_version


ROOT_FOLDER = dirname(realpath(__file__))
scm_version = device_scm_version(ROOT_FOLDER, join(ROOT_FOLDER, "src", "_version.py"))


setup(
    name="xpcs",
    use_scm_version=scm_version,
    author="James Wrigley",
    author_email="da-support@xfel.eu",
    description="",
    long_description="",
    url="",
    package_dir={"": "src"},
    packages=find_packages("src"),
    entry_points={
        "calng.correction_addon": [
            "Xpcs = xpcs.xpcs:Xpcs",
        ],
    },
    requires=[
        "fastXPCS"
    ],
)
